## netplan.io 0.99

=== Makefile ===
NETPLAN_SOVER=0.0

BUILDFLAGS = \
	-g \
	-fPIC \
	-std=c99 \
	-D_XOPEN_SOURCE=500 \
	-DSBINDIR=\"$(SBINDIR)\" \
	-Wall \
	-Werror \
	$(NULL)

SYSTEMD_GENERATOR_DIR=$(shell pkg-config --variable=systemdsystemgeneratordir systemd)
SYSTEMD_UNIT_DIR=$(shell pkg-config --variable=systemdsystemunitdir systemd)
BASH_COMPLETIONS_DIR=$(shell pkg-config --variable=completionsdir bash-completion || echo "/etc/bash_completion.d")

GCOV ?= gcov
ROOTPREFIX ?=
PREFIX ?= /usr
LIBDIR ?= $(PREFIX)/lib
ROOTLIBEXECDIR ?= $(ROOTPREFIX)/lib
LIBEXECDIR ?= $(PREFIX)/lib
SBINDIR ?= $(PREFIX)/sbin
DATADIR ?= $(PREFIX)/share
DOCDIR ?= $(DATADIR)/doc
MANDIR ?= $(DATADIR)/man
INCLUDEDIR ?= $(PREFIX)/include

PYCODE = netplan/ $(wildcard src/*.py) $(wildcard tests/*.py) $(wildcard tests/generator/*.py) $(wildcard tests/dbus/*.py)

# Order: Fedora/Mageia/openSUSE || Debian/Ubuntu || null
PYFLAKES3 ?= $(shell which pyflakes-3 || which pyflakes3 || echo true)
PYCODESTYLE3 ?= $(shell which pycodestyle-3 || which pycodestyle || which pep8 || echo true)
NOSETESTS3 ?= $(shell which nosetests-3 || which nosetests3 || echo true)

default: netplan/_features.py generate netplan-dbus dbus/io.netplan.Netplan.service doc/netplan.html doc/netplan.5 doc/netplan-generate.8 doc/netplan-apply.8 doc/netplan-try.8

%.o: src/%.c
	$(CC) $(BUILDFLAGS) $(CFLAGS) $(LDFLAGS) -c $^ `pkg-config --cflags --libs glib-2.0 gio-2.0 yaml-0.1 uuid`

libnetplan.so.$(NETPLAN_SOVER): parse.o util.o validation.o error.o
	$(CC) -shared -Wl,-soname,libnetplan.so.$(NETPLAN_SOVER) $(BUILDFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ `pkg-config --libs yaml-0.1`
	ln -snf libnetplan.so.$(NETPLAN_SOVER) libnetplan.so

#generate: src/generate.[hc] src/parse.[hc] src/util.[hc] src/networkd.[hc] src/nm.[hc] src/validation.[hc] src/error.[hc]
generate: libnetplan.so.$(NETPLAN_SOVER) nm.o networkd.o generate.o
	$(CC) $(BUILDFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ -L. -lnetplan `pkg-config --cflags --libs glib-2.0 gio-2.0 yaml-0.1 uuid`

netplan-dbus: src/dbus.c src/_features.h
	$(CC) $(BUILDFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ `pkg-config --cflags --libs libsystemd glib-2.0`

src/_features.h: src/[^_]*.[hc]
	printf "#include <stddef.h>\nstatic const char *feature_flags[] __attribute__((__unused__)) = {\n" > $@
	awk 'match ($$0, /netplan-feature:.*/ ) { $$0=substr($$0, RSTART, RLENGTH); print "\""$$2"\"," }' $^ >> $@
	echo "NULL, };" >> $@

netplan/_features.py: src/[^_]*.[hc]
	echo "# Generated file" > $@
	echo "NETPLAN_FEATURE_FLAGS = [" >> $@
	awk 'match ($$0, /netplan-feature:.*/ ) { $$0=substr($$0, RSTART, RLENGTH); print "    \""$$2"\"," }' $^ >> $@
	echo "]" >> $@

clean:
	rm -f netplan/_features.py src/_features.h
	rm -f generate doc/*.html doc/*.[1-9]
	rm -f *.o *.so*
	rm -f netplan-dbus dbus/*.service
	rm -f *.gcda *.gcno generate.info
	rm -rf test-coverage .coverage

check: default linting
	tests/cli.py
	$(NOSETESTS3) -v --with-coverage
	tests/validate_docs.sh

linting:
	$(PYFLAKES3) $(PYCODE)
	$(PYCODESTYLE3) --max-line-length=130 $(PYCODE)

coverage: | pre-coverage c-coverage python-coverage

pre-coverage:
	rm -f .coverage
	$(MAKE) CFLAGS="-g -O0 --coverage" clean check
	mkdir -p test-coverage/C test-coverage/python

check-coverage: coverage
	@if grep headerCovTableEntryHi test-coverage/C/index.html | grep -qv '100.*%'; then \
	    echo "FAIL: Test coverage not 100%!" >&2; exit 1; \
	fi
	python3-coverage report --omit=/usr* --show-missing --fail-under=100

c-coverage:
	lcov --directory . --capture --gcov-tool=$(GCOV) -o generate.info
	lcov --remove generate.info "/usr*" -o generate.info
	genhtml -o test-coverage/C/ -t "generate test coverage" generate.info

python-coverage:
	python3-coverage html -d test-coverage/python --omit=/usr* || true
	python3-coverage xml --omit=/usr* || true

install: default
	mkdir -p $(DESTDIR)/$(SBINDIR) $(DESTDIR)/$(ROOTLIBEXECDIR)/netplan $(DESTDIR)/$(SYSTEMD_GENERATOR_DIR) $(DESTDIR)/$(LIBDIR)
	mkdir -p $(DESTDIR)/$(MANDIR)/man5 $(DESTDIR)/$(MANDIR)/man8
	mkdir -p $(DESTDIR)/$(DOCDIR)/netplan/examples
	mkdir -p $(DESTDIR)/$(DATADIR)/netplan/netplan
	mkdir -p $(DESTDIR)/$(INCLUDEDIR)/netplan
	install -m 755 generate $(DESTDIR)/$(ROOTLIBEXECDIR)/netplan/
	find netplan/ -name '*.py' -exec install -Dm 644 "{}" "$(DESTDIR)/$(DATADIR)/netplan/{}" \;
	install -m 755 src/netplan.script $(DESTDIR)/$(DATADIR)/netplan/
	ln -srf $(DESTDIR)/$(DATADIR)/netplan/netplan.script $(DESTDIR)/$(SBINDIR)/netplan
	ln -srf $(DESTDIR)/$(ROOTLIBEXECDIR)/netplan/generate $(DESTDIR)/$(SYSTEMD_GENERATOR_DIR)/netplan
	# lib
	install -m 644 *.so.* $(DESTDIR)/$(LIBDIR)/
	ln -snf libnetplan.so.$(NETPLAN_SOVER) $(DESTDIR)/$(LIBDIR)/libnetplan.so
	# headers, dev data
	install -m 644 src/*.h $(DESTDIR)/$(INCLUDEDIR)/netplan/
	# TODO: install pkg-config once available
	# docs, data
	install -m 644 doc/*.html $(DESTDIR)/$(DOCDIR)/netplan/
	install -m 644 examples/*.yaml $(DESTDIR)/$(DOCDIR)/netplan/examples/
	install -m 644 doc/*.5 $(DESTDIR)/$(MANDIR)/man5/
	install -m 644 doc/*.8 $(DESTDIR)/$(MANDIR)/man8/
	install -T -D -m 644 netplan.completions $(DESTDIR)/$(BASH_COMPLETIONS_DIR)/netplan
	# dbus
	mkdir -p $(DESTDIR)/$(DATADIR)/dbus-1/system.d $(DESTDIR)/$(DATADIR)/dbus-1/system-services
	install -m 755 netplan-dbus $(DESTDIR)/$(ROOTLIBEXECDIR)/netplan/
	install -m 644 dbus/io.netplan.Netplan.conf $(DESTDIR)/$(DATADIR)/dbus-1/system.d/
	install -m 644 dbus/io.netplan.Netplan.service $(DESTDIR)/$(DATADIR)/dbus-1/system-services/

%.service: %.service.in
	sed -e "s#@ROOTLIBEXECDIR@#$(ROOTLIBEXECDIR)#" $< > $@


%.html: %.md
	pandoc -s --toc -o $@ $<

doc/netplan.5: doc/manpage-header.md doc/netplan.md doc/manpage-footer.md
	pandoc -s -o $@ $^

%.8: %.md
	pandoc -s -o $@ $^

.PHONY: clean

=== debian/changelog ===
netplan.io (0.99-0ubuntu3~18.04.5) bionic; urgency=medium

  * d/p/0006-dbus-cli-implement-io.netplan.Netplan.Generate-208.patch:
    Implement the io.netplan.Netplan.Generate() DBus API, to allow calling
    'generate' from within a snap (LP: #1926442)
  * Update debian/gbp.conf

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 07 Sep 2021 17:19:37 +0200

netplan.io (0.99-0ubuntu3~18.04.4) bionic; urgency=medium

  * d/p/0001-Don-t-fail-if-same-primary-slave-was-set-before-LP-1.patch
    - Fix primary slave on the bond not getting set (LP: #1817651)

 -- Seyeong Kim <seyeong.kim@canonical.com>  Fri, 15 Jan 2021 07:38:20 +0000

netplan.io (0.99-0ubuntu3~18.04.3) bionic; urgency=medium

  * d/p/0004-Fix-process_link_changes-handling-up-interfaces.patch:
    - Fix process_link_changes handling 'up' interfaces (LP: #1875411)

 -- Heitor Alves de Siqueira <halves@canonical.com>  Thu, 28 May 2020 21:09:51 +0000

netplan.io (0.99-0ubuntu3~18.04.2) bionic; urgency=medium

  * Add d/p/Fix-invalid-bond-mode-SRU-regression-LP-1877643.patch (LP: #1877643)
    - Fix regression in strict bond mode checking, introduced in netplan v0.98
    - https://bugs.launchpad.net/ubuntu/+source/netplan.io/+bug/1877643

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Mon, 11 May 2020 10:00:09 +0200

netplan.io (0.99-0ubuntu3~18.04.1) bionic; urgency=medium

  * Backport netplan.io 0.99 to 18.04. (LP: #1871825)
  * Keep patches specific to 18.04 support:
    - disable-networkd-tunnels-ipip-gre.patch: disable tests for unsupported
      tunnel types (ipip and gre) in the 18.04 version of systemd-networkd.
  * debian/control: introduce dependecies on libnetplan0

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Mon, 04 May 2020 09:51:02 +0200

netplan.io (0.99-0ubuntu3) groovy; urgency=medium

  * Drop d/p/0001-Not-connect-to-WiFi-after-netplan-apply.patch
    - Replaced by upstream fix
  * Add d/p/0001-Fix-LP-1874377-Not-connect-to-WiFi-after-netplan-app.patch:
    - Proper upstream fix, which handles edge cases better and contains tests

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Thu, 30 Apr 2020 12:51:36 +0200

netplan.io (0.99-0ubuntu2) focal; urgency=medium

  [ Lukas Märdian ]
  * debian/patches/0001-Not-connect-to-WiFi-after-netplan-apply.patch:
    - Seems like the 'netplan apply' command was not properly adopted when
      wired wpa_supplicant support was introduced.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 23 Apr 2020 15:22:07 +0200

netplan.io (0.99-0ubuntu1) focal; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * New upstream release: 0.99 (LP: #1871825)
    - Fixed setting MTUBytes= in .network files as well
    - Added "phase2" keyword to "auth" section
    - Allowing "critical" to be used without "dhcp4"/"dhcp6" enabled
    - Added support for GSM modems in the NetworkManager backend (with the
      "modems" keyword)
    - Added "emit-lldp" option for networkd backend (LP: #1862607)
    - Fixed netplan incorrectly generating WPA PSK hex (LP: #1867690)
    - Split out the netplan parser into a separate libnetplan library
    - Added "ipv6-address-generation" field for NM backend
    - Added WiFi flags for "bssid"/"band"/"channel"
    - Added support for SR-IOV network devices
  * debian/copyright: Change contact address as Matt is no longer available
    via the previous e-mail.
  * debian/control: Add new libnetplan packages
  * Drop d/p/0002-Adopt-integration-tests-for-NetworkManager-v1.22-foc.patch:
    included in upstream release

  [ Lukas Märdian ]
  * Drop d/p/workaround_tests_issues.patch:
    The problem was solved upstream and is integrated via
    d/p/0002-Adopt-integration-tests-for-NetworkManager-v1.22-foc.patch

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 16 Apr 2020 09:13:50 +0200

netplan.io (0.98-0ubuntu4) focal; urgency=medium

  [ Lukas Märdian ]
  * d/p/0002-Adopt-integration-tests-for-NetworkManager-v1.22-foc.patch:
    Adopt integration tests for NetworkManager v1.22 (focal)
  * debian/tests/control: add new autopkgtest dependencies for the new
    integration tests.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 23 Mar 2020 09:24:39 +0100

netplan.io (0.98-0ubuntu3) focal; urgency=medium

  * No change rebuild to get Testsuite-Triggers restored, the previous
    upload was built on an older serie/dpkg version which lead to the
    dsc to be missing the reference

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Mar 2020 11:31:26 +0100

netplan.io (0.98-0ubuntu2) focal; urgency=medium

  * debian/patches/workaround_tests_issues.patch:
    - workaround a test issue, the default route seems to take a bit of
      time to be applied in n-m, wait for it before erroring out

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Jan 2020 23:33:03 +0100

netplan.io (0.98-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport netplan.io 0.98 to 18.04. (LP: #1840832)
  * Keep patches specific to 18.04 support:
    - disable-networkd-tunnels-ipip-gre.patch: disable tests for unsupported
      tunnel types (ipip and gre) in the 18.04 version of systemd-networkd.
  * Drop debian/patches/glib_changes.patch: No longer necessary, changes were
    made upstream to better account for the changes in HashTable.
  * debian/netplan.io.install: add /usr/share/dbus-1

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 26 Aug 2019 16:36:03 -0400

netplan.io (0.98-0ubuntu1) eoan; urgency=medium

  * New upstream release: 0.98 (LP: #1840832)
    - Added new "feature flags" to identify new features
    - Added support for "use-domains" for DHCP overrides
    - Added support for setting IPv6 MTU Bytes (LP: #1671951)
    - Added a DBus interface to query and run 'netplan apply' via other apps
    - Various build system fixes
    - Improved validation for bonding modes
    - Added support for "hash:" for hashed 802.1x passwords (LP: #1819831)
    - Tolerate devices without a /sys path (LP: #1810043)


=== debian/control ===
Source: netplan.io
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian netplan Maintainers <team+netplan@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Mathieu Trudel-Lapierre <mathieu.trudel-lapierre@canonical.com>
Section: net
Priority: optional
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 11),
 pkg-config,
 bash-completion,
 libyaml-dev,
 libglib2.0-dev,
 uuid-dev,
 python3 (>= 3.1),
 python3-coverage,
 python3-yaml,
 python3-netifaces,
 libsystemd-dev,
 systemd,
 dbus-x11,
 pyflakes3,
 pycodestyle | pep8,
 python3-nose,
 pandoc,
Vcs-Git: https://salsa.debian.org/debian/netplan.io.git
Vcs-Browser: https://salsa.debian.org/debian/netplan.io
Homepage: https://netplan.io/

Package: netplan.io
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
 ${misc:Depends},
 iproute2,
 libnetplan0 (>= ${binary:Version}),
 python3,
 python3-yaml,
 python3-netifaces,
 systemd (>= 235-3ubuntu3),
Suggests: network-manager | wpasupplicant
Conflicts: netplan
Breaks: nplan (<< 0.34~), network-manager (<< 1.2.2-0ubuntu4~)
Replaces: nplan (<< 0.34~)
Provides: nplan
Description: YAML network configuration abstraction for various backends
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.

Package: nplan
Architecture: all
Priority: optional
Section: oldlibs
Depends: netplan.io, ${misc:Depends}
Description: YAML network configuration abstraction - transitional package
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 This is a transitional package that installs 'netplan.io'.

Package: libnetplan0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends},
Description: YAML network configuration abstraction runtime library
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package contains the necessary runtime library files.

Package: libnetplan-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libnetplan0 (= ${binary:Version}),
Description: Development files for netplan's libnetplan runtime library
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package contains development files for developers wanting to use
 libnetplan in their applications.

=== debian/tests/control ===
Test-Command: python3 tests/integration/run.py --test=ethernets
Tests-Directory: tests/integration
Depends: @,
  systemd,
  network-manager,
  hostapd,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-machine
Features: test-name=ethernets

Test-Command: python3 tests/integration/run.py --test=bridges
Tests-Directory: tests/integration
Depends: @,
  systemd,
  network-manager,
  hostapd,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-machine
Features: test-name=bridges

Test-Command: python3 tests/integration/run.py --test=bonds
Tests-Directory: tests/integration
Depends: @,
  systemd,
  network-manager,
  hostapd,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-machine
Features: test-name=bonds

Test-Command: python3 tests/integration/run.py --test=routing
Tests-Directory: tests/integration
Depends: @,
  systemd,
  network-manager,
  hostapd,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-machine
Features: test-name=routing

Test-Command: python3 tests/integration/run.py --test=vlans
Tests-Directory: tests/integration
Depends: @,
  systemd,
  network-manager,
  hostapd,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-machine
Features: test-name=vlans

Test-Command: python3 tests/integration/run.py --test=wifi
Tests-Directory: tests/integration
Depends: @,
  systemd,
  network-manager,
  hostapd,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-machine, flaky
Features: test-name=wifi

Test-Command: python3 tests/integration/run.py --test=tunnels
Tests-Directory: tests/integration
Depends: @,
  systemd,
  network-manager,
  hostapd,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-machine
Features: test-name=tunnels

Test-Command: python3 tests/integration/run.py --test=scenarios
Tests-Directory: tests/integration
Depends: @,
  systemd,
  network-manager,
  hostapd,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-machine
Features: test-name=scenarios

Test-Command: python3 tests/integration/run.py --test=regressions
Tests-Directory: tests/integration
Depends: @,
  systemd,
  network-manager,
  hostapd,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-machine
Features: test-name=regressions

Tests: autostart
Restrictions: allow-stderr, needs-root, isolation-container

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?@ANY_VERSION@@ARCHIVE_EXT@/@PACKAGE@-$1.tar.gz/,uversionmangle=s/-?rc/~rc/  \
  https://github.com/CanonicalLtd/netplan/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## netplan.io 0.100

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	ln -snf libnetplan.so.$(NETPLAN_SOVER) libnetplan.so
 
 #generate: src/generate.[hc] src/parse.[hc] src/util.[hc] src/networkd.[hc] src/nm.[hc] src/validation.[hc] src/error.[hc]
-generate: libnetplan.so.$(NETPLAN_SOVER) nm.o networkd.o generate.o
+generate: libnetplan.so.$(NETPLAN_SOVER) nm.o networkd.o openvswitch.o generate.o sriov.o
 	$(CC) $(BUILDFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ -L. -lnetplan `pkg-config --cflags --libs glib-2.0 gio-2.0 yaml-0.1 uuid`
 
 netplan-dbus: src/dbus.c src/_features.h
@@ -66,7 +66,8 @@
 	rm -f *.o *.so*
 	rm -f netplan-dbus dbus/*.service
 	rm -f *.gcda *.gcno generate.info
-	rm -rf test-coverage .coverage
+	rm -rf test-coverage .coverage coverage.xml
+	find . | grep -E "(__pycache__|\.pyc)" | xargs rm -rf
 
 check: default linting
 	tests/cli.py

=== debian/changelog ===
netplan.io (0.100-0ubuntu5) groovy; urgency=medium

  * debian/control:netplan.io: Suggest openvswitch-switch runtime dependency
  * Add d/p/0002-tests-tunnels-improve-WG-handshake-regex.patch
    and d/p/0003-tests-ovs-fix-OVS-timeouts.patch
    - Improve stability of autopkgtests
  * Add d/p/0004-Fix-MAAS-OVS-first-boot-for-single-NIC-PXE-systems-1.patch
    - Setup OVS early in network-pre.target to avoid delays (LP: #1898997)

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Wed, 14 Oct 2020 11:29:03 +0200

netplan.io (0.100-0ubuntu4) groovy; urgency=medium

  * debian/tests/cloud-init
    - Improve reboot test to avoid failure on arm64

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Mon, 21 Sep 2020 12:23:02 +0200

netplan.io (0.100-0ubuntu3) groovy; urgency=medium

  * debian/tests:
    - Avoid SKIP of 'autostart' test
    - Add 'cloud-init' test script (instead of python 'cloud-init' test) to
      avoid network related issues on the autopkgtest infrastructure
    - Try to keep up the management network interface at all times

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Wed, 16 Sep 2020 09:47:07 +0200

netplan.io (0.100-0ubuntu2) groovy; urgency=medium

  * Add d/p/0001-Implement-just-in-time-behaviour-for-generate-162.patch:
    - As of upstream 6b3ac28d1522e07a88a72a42b31a8c9ff9727ac3
    - Fixes first-boot issues with OVS/WPA service units when used on
      cloud-init enabled systems (LP: #1892851)
  * debian/tests/control: Enable new 'cloud-init' test
    - To verify first-boot just-in-time generation

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Wed, 09 Sep 2020 13:29:21 +0200

netplan.io (0.100-0ubuntu1) groovy; urgency=medium

  * New upstream release: 0.100
    - Documentation improvements
    - Improved integration tests
    - Overall cleanup and refactoring
    - Improved SR-IOV first boot experience
    - Initial Open vSwitch support (LP: #1728134)
    - Add support for Wireguard tunnels
    - Add support for IP address labels (LP: #1743200)
    - Improved routing & globbing in NetworkManager backend
      - route attributes "from", "onlink" and "table"
      - matching interfaces by glob pattern
    - Add support for hidden wireless SSIDs (LP: #1866100)
    - Introduce support for networkd address options (LP: #1803203)
    - Implement ipv6-address-token key (LP: #1737976)
    Bug fixes:
    - Not connect to WiFi after 'netplan apply' (LP: #1874377)
    - Call daemon-reload after we touched systemd unit files (LP: #1874494)
    - Don't fail if same primary slave was set before (LP: #1817651)
    - Fix process_link_changes handling 'up' interfaces (LP: #1875411)
    - Fix GCC-10 -fno-common linker errors (LP: #1875412)
    - Flush IPs of NM managed interfaces (LP: #1870561)
  * Enable autopkgtests for OVS and wireguard
  * Drop all distro patches, which have been integrated upstream
  * Update symbols file
  * Added openvswitch-switch to Build-Depends
    - ovs-vsctl is required to pass the unit-tests

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Thu, 03 Sep 2020 15:51:29 +0200

netplan.io (0.99-0ubuntu6) groovy; urgency=medium

  * d/p/0005-Fix-GCC-10-fno-common-linker-errors-LP-1875412-155.patch
    - Fix FTBFS if compiled using GCC-10 (LP: #1875412)
    - Using upstream commit 50ac1a1
  * Refresh patches using 'gbp pq'

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Tue, 28 Jul 2020 14:12:28 +0200

netplan.io (0.99-0ubuntu5) groovy; urgency=medium

  * d/p/0001-Fix-autopkgtest-on-arm64-with-NM-1.24-146.patch
    - Fix autopkgtest failure on arm64 in combination with new NM-1.24
  * d/p/0001-Call-daemon-reload-after-we-touched-systemd-unit-fil.patch
    - Re-calculate systemd dependencies, after touching .service
      units (LP: #1874494)

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Thu, 18 Jun 2020 11:36:59 +0200

netplan.io (0.99-0ubuntu4) groovy; urgency=medium

  * d/p/0002-Fix-process_link_changes-handling-up-interfaces.patch:
    - Fix process_link_changes handling 'up' interfaces (LP: #1875411)

 -- Heitor Alves de Siqueira <halves@canonical.com>  Thu, 28 May 2020 21:09:51 +0000

netplan.io (0.96-0ubuntu5) eoan; urgency=medium

  * debian/patches/git_revert_explicit_renderer_def_ebc212a.patch: revert
    commit ebc212a: make renderer values explicit at the end of each parsing
    pass; it breaks "default" renderer behavior when multiple files may set
    a global renderer and expect the last to take effect globally.
    (LP: #1825206)
  * debian/patches/git_reorg_netdef_validation_181b583.patch: correct the
    fallout from the above change: validate netdefs in a single pass at the
    very end of parsing, once we know which is the applicable renderer. This
    makes sure tunnels get validated correctly.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 26 Apr 2019 15:18:13 -0400

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  pycodestyle | pep8,
  python3-nose,
  pandoc,
+ openvswitch-switch,
 Vcs-Git: https://salsa.debian.org/debian/netplan.io.git
 Vcs-Browser: https://salsa.debian.org/debian/netplan.io
 Homepage: https://netplan.io/
@@ -38,10 +39,11 @@
  python3,
  python3-yaml,
  python3-netifaces,
- systemd (>= 235-3ubuntu3),
-Suggests: network-manager | wpasupplicant
+ systemd (>= 239~),
+Suggests: network-manager | wpasupplicant,
+ openvswitch-switch,
 Conflicts: netplan
-Breaks: nplan (<< 0.34~), network-manager (<< 1.2.2-0ubuntu4~)
+Breaks: nplan (<< 0.34~), network-manager (<< 1.2.2-1)
 Replaces: nplan (<< 0.34~)
 Provides: nplan
 Description: YAML network configuration abstraction for various backends
@@ -52,20 +54,6 @@
  networking daemon.
  .
  Currently supported backends are networkd and NetworkManager.
-
-Package: nplan
-Architecture: all
-Priority: optional
-Section: oldlibs
-Depends: netplan.io, ${misc:Depends}
-Description: YAML network configuration abstraction - transitional package
- netplan reads YAML network configuration files which are written
- by administrators, installers, cloud image instantiations, or other OS
- deployments. During early boot it then generates backend specific
- configuration files in /run to hand off control of devices to a particular
- networking daemon.
- .
- This is a transitional package that installs 'netplan.io'.
 
 Package: libnetplan0
 Architecture: any

=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,17 @@
+Test-Command: python3 tests/integration/run.py --test=ovs
+Tests-Directory: tests/integration
+Depends: @,
+  systemd,
+  network-manager,
+  hostapd,
+  dnsmasq-base,
+  libnm0,
+  python3-gi,
+  gir1.2-nm-1.0,
+  openvswitch-switch,
+Restrictions: allow-stderr, needs-root, isolation-machine
+Features: test-name=ovs
+
 Test-Command: python3 tests/integration/run.py --test=ethernets
 Tests-Directory: tests/integration
 Depends: @,
@@ -86,6 +100,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
+  wireguard-tools,
 Restrictions: allow-stderr, needs-root, isolation-machine
 Features: test-name=tunnels
 
@@ -116,4 +131,3 @@
 Features: test-name=regressions
 
 Tests: autostart
-Restrictions: allow-stderr, needs-root, isolation-container

## netplan.io 0.101

=== Makefile ===
--- 
+++ 
@@ -33,21 +33,20 @@
 PYCODESTYLE3 ?= $(shell which pycodestyle-3 || which pycodestyle || which pep8 || echo true)
 NOSETESTS3 ?= $(shell which nosetests-3 || which nosetests3 || echo true)
 
-default: netplan/_features.py generate netplan-dbus dbus/io.netplan.Netplan.service doc/netplan.html doc/netplan.5 doc/netplan-generate.8 doc/netplan-apply.8 doc/netplan-try.8
+default: netplan/_features.py generate netplan-dbus dbus/io.netplan.Netplan.service doc/netplan.html doc/netplan.5 doc/netplan-generate.8 doc/netplan-apply.8 doc/netplan-try.8 doc/netplan-dbus.8 doc/netplan-get.8 doc/netplan-set.8
 
 %.o: src/%.c
 	$(CC) $(BUILDFLAGS) $(CFLAGS) $(LDFLAGS) -c $^ `pkg-config --cflags --libs glib-2.0 gio-2.0 yaml-0.1 uuid`
 
 libnetplan.so.$(NETPLAN_SOVER): parse.o util.o validation.o error.o
-	$(CC) -shared -Wl,-soname,libnetplan.so.$(NETPLAN_SOVER) $(BUILDFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ `pkg-config --libs yaml-0.1`
+	$(CC) -shared -Wl,-soname,libnetplan.so.$(NETPLAN_SOVER) $(BUILDFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ `pkg-config --libs glib-2.0 gio-2.0 yaml-0.1`
 	ln -snf libnetplan.so.$(NETPLAN_SOVER) libnetplan.so
 
-#generate: src/generate.[hc] src/parse.[hc] src/util.[hc] src/networkd.[hc] src/nm.[hc] src/validation.[hc] src/error.[hc]
 generate: libnetplan.so.$(NETPLAN_SOVER) nm.o networkd.o openvswitch.o generate.o sriov.o
 	$(CC) $(BUILDFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ -L. -lnetplan `pkg-config --cflags --libs glib-2.0 gio-2.0 yaml-0.1 uuid`
 
-netplan-dbus: src/dbus.c src/_features.h
-	$(CC) $(BUILDFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ `pkg-config --cflags --libs libsystemd glib-2.0`
+netplan-dbus: src/dbus.c src/_features.h util.o
+	$(CC) $(BUILDFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ `pkg-config --cflags --libs libsystemd glib-2.0 gio-2.0`
 
 src/_features.h: src/[^_]*.[hc]
 	printf "#include <stddef.h>\nstatic const char *feature_flags[] __attribute__((__unused__)) = {\n" > $@
@@ -71,7 +70,7 @@
 
 check: default linting
 	tests/cli.py
-	$(NOSETESTS3) -v --with-coverage
+	LD_LIBRARY_PATH=. $(NOSETESTS3) -v --with-coverage
 	tests/validate_docs.sh
 
 linting:

=== debian/changelog ===
netplan.io (0.101-4) unstable; urgency=medium

  * Build-depend on ovs on amd64 only due to a bug in its postinst.
    See #979366 for details.
  * Drop the custom build profile, nocheck is enough.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 05 Jan 2021 22:01:50 +0100

netplan.io (0.101-3) unstable; urgency=medium

  * Mark the package linux-any.
  * Skip openvswitch-switch dependency on m68k and ppc64.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 05 Jan 2021 19:28:50 +0100

netplan.io (0.101-2) unstable; urgency=medium

  * Reindent debian/control.
  * Add build profiles.
  * Add cloud tests but mark them as flaky and skip-not-installable
    for now.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 05 Jan 2021 17:40:42 +0100

netplan.io (0.101-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Merge changes from Ubuntu.
  * Let tests fail.
  * Remove the hack to fix build with GCC 10 (actually closes: #957603).

  [ Lukas Märdian ]
  * d/control: fix lintian warning about trailing whitespace
  * d/p/0001-Fix-changing-of-macaddress-with-systemd-v247-178.patch:
    Fix MAC address changes with systemd v247 by using a new approach inside
    systemd's .network file. It also works with older version of systemd.
  * Add d/p/0002-parse-fix-networkmanager-backend-options-for-modem-c.patch:
    Allows parsing of networkmanager: backend handlers for modem devices
  * Update symbols file

  [ Michael Biebl ]
  * Stop using deprecated systemd-resolve tool (Closes: #979266).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 04 Jan 2021 20:34:58 +0100

netplan.io (0.99-2) experimental; urgency=medium

  * Split libnetplan off into separate packages.
  * Force -fcommon to enable builds with GCC 10 to work around #957603.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 27 Apr 2020 17:17:54 +0200

netplan.io (0.99-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Drop old upstream patches.
  * Update the co-maintainer list.
  * Bump Standards-Version to 4.5.0.
  * Update copyright years.

  [ Lukas Märdian ]
  * debian:tests:control: add autopkgtest dependencies.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 27 Apr 2020 11:01:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: netplan.io
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian netplan Maintainers <team+netplan@tracker.debian.org>
+Maintainer: Debian netplan Maintainers <team+netplan@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
- Mathieu Trudel-Lapierre <mathieu.trudel-lapierre@canonical.com>
+ Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>,
+ Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>
 Section: net
 Priority: optional
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 11),
+Standards-Version: 4.5.0
+Build-Depends:
+ debhelper-compat (= 12),
  pkg-config,
  bash-completion,
  libyaml-dev,
@@ -20,19 +21,20 @@
  libsystemd-dev,
  systemd,
  dbus-x11,
- pyflakes3,
- pycodestyle | pep8,
- python3-nose,
+ pyflakes3 <!nocheck>,
+ pycodestyle | pep8 <!nocheck>,
+ python3-nose <!nocheck>,
  pandoc,
- openvswitch-switch,
+ openvswitch-switch [amd64] <!nocheck>,
 Vcs-Git: https://salsa.debian.org/debian/netplan.io.git
 Vcs-Browser: https://salsa.debian.org/debian/netplan.io
 Homepage: https://netplan.io/
 
 Package: netplan.io
-Architecture: any
+Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends},
+Depends:
+ ${shlibs:Depends},
  ${misc:Depends},
  iproute2,
  libnetplan0 (>= ${binary:Version}),
@@ -40,7 +42,8 @@
  python3-yaml,
  python3-netifaces,
  systemd (>= 239~),
-Suggests: network-manager | wpasupplicant,
+Suggests:
+ network-manager | wpasupplicant,
  openvswitch-switch,
 Conflicts: netplan
 Breaks: nplan (<< 0.34~), network-manager (<< 1.2.2-1)
@@ -56,9 +59,10 @@
  Currently supported backends are networkd and NetworkManager.
 
 Package: libnetplan0
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
+Depends:
+ ${shlibs:Depends},
  ${misc:Depends},
 Description: YAML network configuration abstraction runtime library
  netplan reads YAML network configuration files which are written
@@ -72,7 +76,7 @@
  This package contains the necessary runtime library files.
 
 Package: libnetplan-dev
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
  libnetplan0 (= ${binary:Version}),
@@ -87,4 +91,3 @@
  .
  This package contains development files for developers wanting to use
  libnetplan in their applications.
-

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_test:
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install -- LIBDIR=/usr/lib/${DEB_HOST_MULTIARCH}

.PHOHY: override_dh_auto_install

=== debian/tests/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   python3-gi,
   gir1.2-nm-1.0,
   openvswitch-switch,
-Restrictions: allow-stderr, needs-root, isolation-machine
+Restrictions: allow-stderr, needs-root, isolation-machine, skip-not-installable, flaky
 Features: test-name=ovs
 
 Test-Command: python3 tests/integration/run.py --test=ethernets
@@ -128,6 +128,3 @@
   python3-gi,
   gir1.2-nm-1.0,
 Restrictions: allow-stderr, needs-root, isolation-machine
-Features: test-name=regressions
-
-Tests: autostart

## netplan.io 0.102

=== debian/changelog ===
netplan.io (0.102-0ubuntu2) hirsute; urgency=medium

  * gbp.conf: use ubuntu/<version> tags
  * control: strict libnetplan dependency on binary version (LP: #1922898)

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 14 Apr 2021 11:35:12 +0200

netplan.io (0.102-0ubuntu1) hirsute; urgency=medium

  * New upstream release: 0.102 (LP: #1919453)
    - New API for NetworkManager YAML backend
    - Added congestion-window & advertised-receive-window options for routes
    - Added ttl option for tunnels (LP: #1846783)
    - Improved netplan set CLI to override existing files
    - Moved upstream repository to https://github.com/canonical/netplan/
    - Documentation improvements
    - Improved Github Actions CI and CodeQL integration
    - Minor cleanup/typos/test improvements
    Bug fixes:
    - systemd v247 compatibility (for changing MAC address)
    - OVS 2.15 compatibility (wording changes)
    - Allow networkmanager: backend options for modem devices
    - Prevent duplicate ARPIPTargets in NetDev files (LP: #1915837)
  * Drop all distro patches, which have been integrated upstream
  * Update symbols file
  * Enable pristine-tar in gbp
  * Allow running more tests in a container

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 24 Mar 2021 08:54:23 +0100

netplan.io (0.101-4ubuntu3) hirsute; urgency=medium

  * d/changelog: Restore history, which was lost during previous merge
  * d/watch, d/copyright: Update Github URL
  * d/tests/control:
    - Mark ovs & cloud-init tests non-flaky
    - Mark tests with the "breaks-testbed" restriction
  * Fix DNS issues during tests on ppc64el (LP: #1916888):
    - d/p/0007-tests-keep-management-network-up-at-all-times-during.patch
    - d/p/0008-tests-integration-cleanup-OVS-WPA-files.patch

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Fri, 26 Feb 2021 17:47:08 +0100

netplan.io (0.101-4ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:18:25 +0000

netplan.io (0.101-4ubuntu1) hirsute; urgency=medium

  * Merge with Debian. Remaining changes:
    - Keep running dh_auto_test
    - Keep openvswitch dependency for all arches
    - 0003-tests-adopt-to-wording-changes-as-of-OVS-2.15.patch
    - 0004-tests-tunnels-improve-test-reliability.patch
    - 0005-tests-dbus-improve-test-stability-of-timeouts.patch
    - 0006-tests-integration-adopt-for-racy-systemd-MAC-assignm.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 08 Feb 2021 11:54:07 +0100

netplan.io (0.101-0ubuntu5) hirsute; urgency=medium

  * Add d/p/0004-tests-tunnels-improve-test-reliability.patch
    and d/p/0005-tests-dbus-improve-test-stability-of-timeouts.patch
    for improved compile-time test stability
  * Add d/p/0006-tests-integration-adopt-for-racy-systemd-MAC-assignm.patch
    for compatibility with new systemd

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Thu, 04 Feb 2021 11:35:28 +0100

netplan.io (0.101-0ubuntu4) hirsute; urgency=medium

  * Add d/p/0003-tests-adopt-to-wording-changes-as-of-OVS-2.15.patch:
    Adopt autopkgtests to wording changes of OVS 2.15 (slave -> member)
  * d/control: fix lintian warning about trailing whitespace
  * d/control: fix lintian warning about deprecated d/compat file

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Wed, 06 Jan 2021 09:56:57 +0100

netplan.io (0.101-0ubuntu3) hirsute; urgency=medium

  * Add d/p/0002-parse-fix-networkmanager-backend-options-for-modem-c.patch:
    Allows parsing of networkmanager: backend handlers for modem devices

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Thu, 17 Dec 2020 10:49:43 +0100

netplan.io (0.101-0ubuntu2) hirsute; urgency=medium

  * d/p/0001-Fix-changing-of-macaddress-with-systemd-v247-178.patch:
    Fix MAC address changes with systemd v247 by using a new approach inside
    systemd's .network file. It also works with older version of systemd.

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Wed, 16 Dec 2020 13:43:51 +0100

netplan.io (0.101-0ubuntu1) hirsute; urgency=medium

  * New upstream release: 0.101
    - Documentation improvements
    - Improved integration tests
    - Add more examples for Wireguard, Open vSwitch, DBus
    - Improve test stability
    - Implementation of DBus Config/Get/Set/Try APIs
    - Add per-route MTU option (LP: #1860201)
    Bug fixes:
    - Fix MAAS OVS first boot (LP: #1898997)
    - Fix match of duplicate MAC on VLANs (LP: #1888726)
    - Fix crash in Python parser (LP: #1904633) (LP: #1905156)
    - Fix rename of matched interfaces at runtime (LP: #1904662)
  * Drop all distro patches, which have been integrated upstream
  * Update symbols file

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Wed, 09 Dec 2020 09:41:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: netplan.io
-Maintainer: Debian netplan Maintainers <team+netplan@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian netplan Maintainers <team+netplan@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>,
@@ -25,7 +26,7 @@
  pycodestyle | pep8 <!nocheck>,
  python3-nose <!nocheck>,
  pandoc,
- openvswitch-switch [amd64] <!nocheck>,
+ openvswitch-switch <!nocheck>,
 Vcs-Git: https://salsa.debian.org/debian/netplan.io.git
 Vcs-Browser: https://salsa.debian.org/debian/netplan.io
 Homepage: https://netplan.io/
@@ -37,7 +38,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  iproute2,
- libnetplan0 (>= ${binary:Version}),
+ libnetplan0 (= ${binary:Version}),
  python3,
  python3-yaml,
  python3-netifaces,

=== debian/tests/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   python3-gi,
   gir1.2-nm-1.0,
   openvswitch-switch,
-Restrictions: allow-stderr, needs-root, isolation-machine, skip-not-installable, flaky
+Restrictions: allow-stderr, needs-root, isolation-machine, skip-not-installable, breaks-testbed
 Features: test-name=ovs
 
 Test-Command: python3 tests/integration/run.py --test=ethernets
@@ -22,7 +22,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-machine
+Restrictions: allow-stderr, needs-root, isolation-container, breaks-testbed
 Features: test-name=ethernets
 
 Test-Command: python3 tests/integration/run.py --test=bridges
@@ -35,7 +35,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-machine
+Restrictions: allow-stderr, needs-root, isolation-machine, breaks-testbed
 Features: test-name=bridges
 
 Test-Command: python3 tests/integration/run.py --test=bonds
@@ -48,7 +48,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-machine
+Restrictions: allow-stderr, needs-root, isolation-machine, breaks-testbed
 Features: test-name=bonds
 
 Test-Command: python3 tests/integration/run.py --test=routing
@@ -61,7 +61,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-machine
+Restrictions: allow-stderr, needs-root, isolation-machine, breaks-testbed
 Features: test-name=routing
 
 Test-Command: python3 tests/integration/run.py --test=vlans
@@ -74,7 +74,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-machine
+Restrictions: allow-stderr, needs-root, isolation-container, breaks-testbed
 Features: test-name=vlans
 
 Test-Command: python3 tests/integration/run.py --test=wifi
@@ -87,7 +87,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-machine, flaky
+Restrictions: allow-stderr, needs-root, isolation-machine, flaky, breaks-testbed
 Features: test-name=wifi
 
 Test-Command: python3 tests/integration/run.py --test=tunnels
@@ -101,7 +101,7 @@
   python3-gi,
   gir1.2-nm-1.0,
   wireguard-tools,
-Restrictions: allow-stderr, needs-root, isolation-machine
+Restrictions: allow-stderr, needs-root, isolation-machine, breaks-testbed
 Features: test-name=tunnels
 
 Test-Command: python3 tests/integration/run.py --test=scenarios
@@ -114,7 +114,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-machine
+Restrictions: allow-stderr, needs-root, isolation-machine, breaks-testbed
 Features: test-name=scenarios
 
 Test-Command: python3 tests/integration/run.py --test=regressions
@@ -122,9 +122,3 @@
 Depends: @,
   systemd,
   network-manager,
-  hostapd,
-  dnsmasq-base,
-  libnm0,
-  python3-gi,
-  gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-machine
